﻿/**Begin D:\scm_code\PDM_UPGRADE_1.3\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm2\IREW_constraint.sql **/
 EXEC P_ALTERPK 'PK_IREW_AUDIT_RESULT', 'T_IREW_AUDIT_RESULT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_AUDIT_RESULT') CREATE  CLUSTERED INDEX IDX_IREW_AUDIT_RESULT ON T_IREW_AUDIT_RESULT ( FWARNING_SCHEME ,FCUSTOMIZE_ENGINE ,FSERIAL_NO );


 EXEC P_ALTERPK 'PK_IREW_ENGINE', 'T_IREW_ENGINE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_IREW_ENGINE_CREATEORG') CREATE INDEX IDX_T_IREW_ENGINE_CREATEORG ON T_IREW_ENGINE ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_IREW_ENGINE_MASTER') CREATE INDEX IDX_T_IREW_ENGINE_MASTER ON T_IREW_ENGINE ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_NUMBER') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_NUMBER ON T_IREW_ENGINE ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_IREW_ENGINE_ACCORD', 'T_IREW_ENGINE_ACCORD', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_ACCORD_FK') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_ACCORD_FK ON T_IREW_ENGINE_ACCORD ( FID );


 EXEC P_ALTERPK 'PK_IREW_ENGINE_L', 'T_IREW_ENGINE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_L_0') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_L_0 ON T_IREW_ENGINE_L ( FID ,FLOCALEID );


--  EXEC P_ALTERPK 'PK_T_IREW_ENGINE_M', 'T_IREW_ENGINE_M', 'FORGID', '0';
--
--  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE ON T_IREW_ENGINE_M ( FIDX );


 EXEC P_ALTERPK 'PK_IREW_ENGINE_QUERYCONFIG', 'T_IREW_ENGINE_QUERYCONFIG', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_QUERYCONFIG_FK') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_QUERYCONFIG_FK ON T_IREW_ENGINE_QUERYCONFIG ( FID );


 EXEC P_ALTERPK 'PK_IREW_ENGINE_QUERYFIELD', 'T_IREW_ENGINE_QUERYFIELD', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_QUERYFIELD_FK') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_QUERYFIELD_FK ON T_IREW_ENGINE_QUERYFIELD ( FID );


 EXEC P_ALTERPK 'PK_T_IREW_ENGINE_R3', 'T_IREW_ENGINE_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_R3') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_R3 ON T_IREW_ENGINE_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_IREW_ENGINE_RELATION', 'T_IREW_ENGINE_RELATION', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_RELATION_FK') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_RELATION_FK ON T_IREW_ENGINE_RELATION ( FID );


 EXEC P_ALTERPK 'PK_IREW_ENGINE_RULE', 'T_IREW_ENGINE_RULE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_RULE_FK') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_RULE_FK ON T_IREW_ENGINE_RULE ( FID );


 EXEC P_ALTERPK 'PK_IREW_ENGINE_SOURCE', 'T_IREW_ENGINE_SOURCE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_SOURCE_FK') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_SOURCE_FK ON T_IREW_ENGINE_SOURCE ( FID );


 EXEC P_ALTERPK 'PK_IREW_ENGINE_SOURCERULE', 'T_IREW_ENGINE_SOURCERULE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_ENGINE_SOURCERULE_FK') CREATE  CLUSTERED INDEX IDX_IREW_ENGINE_SOURCERULE_FK ON T_IREW_ENGINE_SOURCERULE ( FID );


 EXEC P_ALTERPK 'PK_T_IREW_ENGINE_U', 'T_IREW_ENGINE_U', 'FDATAID,FUSEORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_IREW_ENGINE_U_UO') CREATE  CLUSTERED INDEX IDX_T_IREW_ENGINE_U_UO ON T_IREW_ENGINE_U ( FUSEORGID );


 EXEC P_ALTERPK 'PK_T_IREW_ENGINEEXC', 'T_IREW_ENGINEEXC', 'FDATAID,FUSEORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_IREW_ENGINEEXC_UO') CREATE  CLUSTERED INDEX IDX_T_IREW_ENGINEEXC_UO ON T_IREW_ENGINEEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_T_IREW_ENGINEUSEREG', 'T_IREW_ENGINEUSEREG', 'FUSEORGID,FDATAID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_IREW_ENGINEUSEREG_D') CREATE  CLUSTERED INDEX IDX_T_IREW_ENGINEUSEREG_D ON T_IREW_ENGINEUSEREG ( FDATAID );


 EXEC P_ALTERPK 'PK_IREW_SCHEME', 'T_IREW_SCHEME', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME ON T_IREW_SCHEME ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_IREW_SCHEME_ENGINE', 'T_IREW_SCHEME_ENGINE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_ENGINE_FK') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME_ENGINE_FK ON T_IREW_SCHEME_ENGINE ( FID );


 EXEC P_ALTERPK 'PK_IREW_SCHEME_EXPTYPE', 'T_IREW_SCHEME_EXPTYPE', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_EXPTYPE_FK') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME_EXPTYPE_FK ON T_IREW_SCHEME_EXPTYPE ( FID );


 EXEC P_ALTERPK 'PK_IREW_SCHEME_L', 'T_IREW_SCHEME_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_L_0') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME_L_0 ON T_IREW_SCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_IREW_SCHEME_LOG', 'T_IREW_SCHEME_LOG', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_LOG') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME_LOG ON T_IREW_SCHEME_LOG ( FWARNING_SCHEME ,FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_LOG_TIME') CREATE INDEX IDX_IREW_SCHEME_LOG_TIME ON T_IREW_SCHEME_LOG ( FCREATETIME );


 EXEC P_ALTERPK 'PK_IREW_SCHEME_LOG_ITEMS', 'T_IREW_SCHEME_LOG_ITEMS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_LOG_ITEMS_FK') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME_LOG_ITEMS_FK ON T_IREW_SCHEME_LOG_ITEMS ( FID );

/****
 EXEC P_ALTERPK 'PK_T_IREW_SCHEME_M', 'T_IREW_SCHEME_M', 'FORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_M') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME_M ON T_IREW_SCHEME_M ( FIDX );
 ****/


 EXEC P_ALTERPK 'PK_T_IREW_SCHEME_R3', 'T_IREW_SCHEME_R3', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_R3') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME_R3 ON T_IREW_SCHEME_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_IREW_SCHEME_U', 'T_IREW_SCHEME_U', 'FDATAID,FUSEORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_IREW_SCHEME_U_UO') CREATE  CLUSTERED INDEX IDX_T_IREW_SCHEME_U_UO ON T_IREW_SCHEME_U ( FUSEORGID );


 EXEC P_ALTERPK 'PK_IREW_SCHEME_USEORG', 'T_IREW_SCHEME_USEORG', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SCHEME_USEORG_FK') CREATE  CLUSTERED INDEX IDX_IREW_SCHEME_USEORG_FK ON T_IREW_SCHEME_USEORG ( FID );


 EXEC P_ALTERPK 'PK_T_IREW_SCHEMEEXC', 'T_IREW_SCHEMEEXC', 'FDATAID,FUSEORGID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_IREW_SCHEMEEXC_UO') CREATE  CLUSTERED INDEX IDX_T_IREW_SCHEMEEXC_UO ON T_IREW_SCHEMEEXC ( FUSEORGID );


 EXEC P_ALTERPK 'PK_T_IREW_SCHEMEUSEREG', 'T_IREW_SCHEMEUSEREG', 'FUSEORGID,FDATAID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_IREW_SCHEMEUSEREG_D') CREATE  CLUSTERED INDEX IDX_T_IREW_SCHEMEUSEREG_D ON T_IREW_SCHEMEUSEREG ( FDATAID );



/**End D:\scm_code\PDM_UPGRADE_1.3\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm2\IREW_constraint.sql **/
