﻿/**Begin D:\tool\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\IREW_table.sql **/

/** 预置引擎增加一个字段，发票虚开校验级别 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_IREW_ENGINE' AND KSQL_COL_NAME ='FCHECKRESULT') 
 ALTER TABLE T_IREW_ENGINE ADD (FCHECKRESULT NVARCHAR(30) DEFAULT ' ' NOT NULL );

/** 发票虚开日志表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_FALSE_CHECK_LOG') 
 CREATE TABLE T_IREW_FALSE_CHECK_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMIZE_ENGINE_ID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWARNING_SCHEME_ID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERIFY_LEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECK_LEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATE_DATE DATETIME,
FNEXT_DATE DATETIME,
FSTATUS NVARCHAR(30) DEFAULT '0' NOT NULL,
FINVOICE_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNEW_ERROR_INFO NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/** 发票虚开日志发票分录表 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_FALSE_INVOICE') 
 CREATE TABLE T_IREW_FALSE_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINVOICE_NO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICE_CODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIAL_NO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCHECKRESULT NVARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End D:\tool\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\IREW_table.sql **/
