﻿/**Begin D:\scm_code\PDM_UPGRADE_1.3\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm2\IREW_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_AUDIT_RESULT') 
 CREATE TABLE T_IREW_AUDIT_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORG_ID BIGINT DEFAULT 0 NOT NULL,
FCHECK_TYPE NVARCHAR(8) DEFAULT ' ' NOT NULL,
FHELP_INFO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FINVOICE_TYPE BIGINT DEFAULT 0 NOT NULL,
FVERIFY_LEVEL NVARCHAR(4) DEFAULT ' ' NOT NULL,
FVERIFY_BASIS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSALER_NAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FINVOICE_NO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSERIAL_NO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTAL_AMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTAL_TAX_AMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHANDLE_EXPLAIN NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHANDLE_STATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMIZE_ENGINE BIGINT DEFAULT 0 NOT NULL,
FWARNING_SCHEME BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE') 
 CREATE TABLE T_IREW_ENGINE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(8) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCE NVARCHAR(8) DEFAULT ' ' NOT NULL,
FCHECK_TYPE NVARCHAR(8) DEFAULT ' ' NOT NULL,
FCHECK_ACCORDING NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAFIELD NVARCHAR(36) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOM_TIPS NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_ACCORD') 
 CREATE TABLE T_IREW_ENGINE_ACCORD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCORDING_NAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FACCORDING_FILE_PATH NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_L') 
 CREATE TABLE T_IREW_ENGINE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


-- IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_M')
--  CREATE TABLE T_IREW_ENGINE_M (
-- FORGID BIGINT DEFAULT 0 NOT NULL,
-- FDATA BLOB,
-- FIDX BIGINT DEFAULT 0 NOT NULL
-- );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_QUERYCONFIG') 
 CREATE TABLE T_IREW_ENGINE_QUERYCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONDITION_ENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITY_FILED NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUERY_CONDITION NVARCHAR(20) DEFAULT ' ' NOT NULL,
FCONDITION_VAL_HIDE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCONDITION_VAL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCONDITION_LOGIC NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_QUERYFIELD') 
 CREATE TABLE T_IREW_ENGINE_QUERYFIELD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FQUERY_ENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUERY_ENTITY_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUERY_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUERY_FIELD_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_R3') 
 CREATE TABLE T_IREW_ENGINE_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_RELATION') 
 CREATE TABLE T_IREW_ENGINE_RELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMAIN_ENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAIN_ENTITY_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATION_CONDITION NVARCHAR(20) DEFAULT ' ' NOT NULL,
FSOURCE_ENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE_ENTITY_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_RULE') 
 CREATE TABLE T_IREW_ENGINE_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVOICE_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICE_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITION NVARCHAR(20) DEFAULT ' ' NOT NULL,
FVALID_VALUE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLOGIC NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_SOURCE') 
 CREATE TABLE T_IREW_ENGINE_SOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCE_CODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE_NAME NVARCHAR(8) DEFAULT ' ' NOT NULL,
FSOURCE_TYPE NVARCHAR(8) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_SOURCERULE') 
 CREATE TABLE T_IREW_ENGINE_SOURCERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVOICE_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICE_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITION NVARCHAR(20) DEFAULT ' ' NOT NULL,
FDATA_SOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATA_SOURCE_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGIC NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINE_U') 
 CREATE TABLE T_IREW_ENGINE_U (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINEEXC') 
 CREATE TABLE T_IREW_ENGINEEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FNEWDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_ENGINEUSEREG') 
 CREATE TABLE T_IREW_ENGINEUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT ' ' NOT NULL,
FASSIGNORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME') 
 CREATE TABLE T_IREW_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(8) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(8) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FCHECKTYPE NVARCHAR(10) DEFAULT ' ' NOT NULL,
FLASTEXCUTETIME DATETIME,
FSTARTDATE DATETIME,
FFREQUENCY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FDATERANGE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_ENGINE') 
 CREATE TABLE T_IREW_SCHEME_ENGINE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENGINE BIGINT DEFAULT 0 NOT NULL,
FCHEKLEVEL NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_EXPTYPE') 
 CREATE TABLE T_IREW_SCHEME_EXPTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_L') 
 CREATE TABLE T_IREW_SCHEME_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_LOG') 
 CREATE TABLE T_IREW_SCHEME_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FWARNING_SCHEME BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_LOG_ITEMS') 
 CREATE TABLE T_IREW_SCHEME_LOG_ITEMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCUSTOMIZE_ENGINE BIGINT DEFAULT 0 NOT NULL,
FEXECUTE_RESULT CHAR(1) DEFAULT ' ' NOT NULL
);

/****
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_M') 
 CREATE TABLE T_IREW_SCHEME_M (
FORGID BIGINT DEFAULT 0 NOT NULL,
FDATA BLOB,
FIDX BIGINT DEFAULT 0 NOT NULL
);***/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_R3') 
 CREATE TABLE T_IREW_SCHEME_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_U') 
 CREATE TABLE T_IREW_SCHEME_U (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEME_USEORG') 
 CREATE TABLE T_IREW_SCHEME_USEORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEMEEXC') 
 CREATE TABLE T_IREW_SCHEMEEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FNEWDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IREW_SCHEMEUSEREG') 
 CREATE TABLE T_IREW_SCHEMEUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT ' ' NOT NULL,
FASSIGNORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\scm_code\PDM_UPGRADE_1.3\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm2\IREW_table.sql **/
