 EXEC P_ALTERPK 'PK_T_IREW_BLACKLIST_CONFIG', 'T_IREW_BLACKLIST_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_BLACKLIST') CREATE INDEX IDX_IREW_BLACKLIST ON T_IREW_BLACKLIST_CONFIG ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_T_IREW_BLACKLIST_CONFIG_L', 'T_IREW_BLACKLIST_CONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_IREW_BLACKLIST_L') CREATE INDEX T_IREW_BLACKLIST_L ON T_IREW_BLACKLIST_CONFIG_L ( FID ,FLOCALEID );

/****
 EXEC P_ALTERPK 'PK_T_IREW_BLACKLIST_CONFIG_M', 'T_IREW_BLACKLIST_CONFIG_M', 'FORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_BLACKLIST_M') CREATE INDEX IDX_IREW_BLACKLIST_M ON T_IREW_BLACKLIST_CONFIG_M ( FIDX );
****/

 EXEC P_ALTERPK 'PK_T_IREW_BLACKLIST_CONFIG_R3', 'T_IREW_BLACKLIST_CONFIG_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_BLACKLIST_R3') CREATE INDEX IDX_IREW_BLACKLIST_R3 ON T_IREW_BLACKLIST_CONFIG_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_IREW_SENSITIVE_WORDLIST', 'T_IREW_SENSITIVE_WORDLIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SENSITIVE') CREATE INDEX IDX_IREW_SENSITIVE ON T_IREW_SENSITIVE_WORDLIST ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_T_IREW_BLACKLIST_CONFIG_U', 'T_IREW_BLACKLIST_CONFIG_U', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDEX_IREW_BLACKLIST_U') CREATE INDEX IDEX_IREW_BLACKLIST_U ON T_IREW_BLACKLIST_CONFIG_U ( FUSEORGID );


 EXEC P_ALTERPK 'PK_T_IREW_SENSITIVE_WORDLIST_L', 'T_IREW_SENSITIVE_WORDLIST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SENSITIVE_L') CREATE INDEX IDX_IREW_SENSITIVE_L ON T_IREW_SENSITIVE_WORDLIST_L ( FID ,FLOCALEID );

/****
 EXEC P_ALTERPK 'PK_T_IREW_SENSITIVE_WORDLIST_M', 'T_IREW_SENSITIVE_WORDLIST_M', 'FORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SENSITIVE_M') CREATE INDEX IDX_IREW_SENSITIVE_M ON T_IREW_SENSITIVE_WORDLIST_M ( FIDX );
***/

 EXEC P_ALTERPK 'PK_T_IREW_SENSITIVE_WORDLIST_U', 'T_IREW_SENSITIVE_WORDLIST_U', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IREW_SENSITIVE_U') CREATE INDEX IDX_IREW_SENSITIVE_U ON T_IREW_SENSITIVE_WORDLIST_U ( FUSEORGID );

